@echo off

rem Check for bad start situations

if not exist gf1digi.adv goto BAD_START
IF "%1"=="" goto NO_SPEC
IF not exist %1\simfarm.exe goto BAD_DIR
IF "%ULTRADIR%"=="" goto NO_ULTRA
SET IDIR=%ULTRADIR%\MIDI

rem Display title screen

:START
cls
echo+
echo   Gravis UltraSound Installation for SimFarm 
echo This program will install the files required for SimFarm
echo to play sound and music on the Gravis Ultrasound.
echo+
echo To use the UltraSound drivers, you will need to load the
echo UltraMid TSR. I will create a batch file that automatically
echo does this before running SimFarm.
echo+
echo The UltraSound files will be replacing the SoundBlaster
echo sound and music files, so after running this install,
echo you will need to run the INSTALL program in your SimFarm
echo directory and change the sound and music settings to
echo SOUNDBLASTER. If you wish to change back to the
echo SoundBlaster files, you will need to re-install SimFarm 
echo from your origional floppy disks.
echo+
echo If you don't feel comfortable with this, or have any
echo problems or questions, please call Maxis Technical
echo support at (510) 253-3755 and they'll be glad to
echo help you out.
echo+
echo If you wish to continue installation, press [ENTER]
echo If you wish you abort installation, press [CTRL]-[C] 
echo then [Y]
pause >nul

rem Copy the files

cls
echo+
echo Copying configuration file to %IDIR%\ULTRAMID.INI
copy ULTRAMID.INI %IDIR%\ULTRAMID.INI >nul
echo Copying Driver files to %1\SOUND
copy GF1DIGI.ADV %1\SOUND\SBDIG.ADV >nul
copy GF1MIDI.ADV %1\SOUND\SBFM.ADV >nul
echo Copying UltraMid TSR to %1\ULTRAMID.EXE
copy ULTRAMID.EXE %1 >nul
echo Copying batch file to %1\FARM.BAT
copy FARM.bat %1 >nul
goto GOOD_DONE

rem UltraSound directory evirontment variable not found

:NO_ULTRA
echo I can not find your UltraSound install directory or
echo environment variables. Have you fully installed your
echo UltraSound software? Are the UltraSound PATH and SET
echo statements still in your AUTOEXEC.BAT or CONFIG.SYS files?
goto BAD_DONE

rem User did not specify SimFarm directory

:NO_SPEC
echo I need to know where your copy of SimFarm is on the
echo hard disk. Type INSTALL followed by the full path 
echo where your SimFarm software has been installed. 
echo For instance, INSTALL C:\SIMFARM [ENTER]
goto BAD_DONE

rem SIMFARM.EXE not found in specified SimFarm directory

:BAD_DIR
echo I could not find the SimFarm files in the
echo directory you specified. Are you sure %1 is where
echo SimFarm was installed to?
goto BAD_DONE

rem User did not execute INSTALL.BAT from it's own directory

:BAD_START
echo Hey there, I can't find my files! Are you sure you're 
echo running this program from the directory that the patch
echo is in? Are all the files here? Wait, let me put on my
echo glasses.... Nope, not here.
goto BAD_DONE

rem Everything checked out O.K.

:GOOD_DONE
echo Install complete
echo+ 
echo For more information on what I just did and how the
echo drivers work, type GV [ENTER]. Otherwise, go ahead and
echo delete the files in this directory, we're done with them.
echo+
echo I will now run the INSTALL program. You need to change
echo the SOUND and MUSIC settings to SOUNDBLASTER Version 1.5.
echo+
echo Afterwards, and from here on out, to run SimFarm, 
echo type FARM [ENTER] in the SimFarm directory.
echo+
echo To run INSTALL now, press [ENTER]. 
echo If you already installed SimFarm for Soundblaster
echo sound and music, we can skip the INSTALL part by typing
echo [CTRL]-[C] then [Y]. You will then be ready to play
echo SimFarm.
pause >nul

rem Unload SBOS and Load UltraMid TSR so sound card check in
rem SETTINGS.EXE passes.

cd %1
%ULTRADIR%\SBOS\LOADSBOS -F >nul
ULTRAMID.EXE >nul
INSTALL
echo+
echo To play SimFarm now, type FARM [ENTER]
echo+

rem End Of Program

:BAD_DONE
